Skip to main content
Version: Version 2.0

Delete comment

This endpoint enables you to delete an existing comment within a specific thread in a room. Deleting a comment removes it permanently from the thread, which can be useful for managing discussions or removing irrelevant or inappropriate content.

How to use

You can use the following cURL to obtain a response on the endpoint:

curl --location --request DELETE https://api.superviz.com/threads/comments/{commentId} \
--header 'Content-Type: application/json' \
--header "client_id: ${YOUR CLIENT_ID}" \
--header "secret: ${YOUR SECRET}"

In the request, you will need to send in the path following field:

NameDescription
commentIdRequired. The ID of the comment.

Headers

When using this endpoint, you need to provide the Client ID and Secret Key. The following headers are required:

NameDescription
client_idRequired. You need to use the Client ID to authenticate in this repository. You can retrieve your Client ID under the Dashboard > Developer > Keys.
secretRequired. You need to use the Secret Key to authenticate in this repository. You can create a new API Secret under our Dashboard > Developer > Keys.

Response

Status code 200 will indicate that the comment was deleted successfully.